/organizations/{organizationId}/hierarchyGet organization hierarchy
Returns the hierarchy settings for an organization
Required permissions:
organization.read
Path Parameters
organizationIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/organizations/{organizationId}/hierarchy' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Additional properties are not allowed.
associationKeystringrequired minLength: 24
maxLength: 24
Response
{
"fields": {},
"contacts": {
"sharedSegments": [
{
"segment": {
"filter": {
"operator": "and",
"groups": [
{
"operator": "and",
"fields": [
{
"path": "string",
"comparator": "exists"
}
]
}
]
},
"name": "string",
"hint": "string",
"key": "string",
"type": "member"
},
"fields": [
"string"
],
"levels": [
"string"
],
"registrations": 0
}
]
},
"associationKey": "string",
"registeredSharedSegments": [
{
"segment": {
"filter": {
"operator": "and",
"groups": [
{
"operator": "and",
"fields": [
{
"path": "string",
"comparator": "exists"
}
]
}
]
},
"name": "string",
"hint": "string",
"key": "string",
"type": "member"
},
"fields": [
"string"
],
"levels": [
"string"
],
"registrations": 0
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}